--- Render.pm.orig.2014-09-17.github	2014-09-17 13:50:14.004350585 +0200
+++ Render.pm	2014-09-17 13:35:02.654031731 +0200
@@ -339,7 +339,7 @@
 
     my $url = $c->stash->{'param'}->{'url'};
     if($url =~ m|^\w+\.cgi|gmx) {
-        $url = '/thruk/cgi-bin/'.$url;
+        $url = '/'.$c->config->{'product_prefix'}.'/cgi-bin/'.$url;
     }
     if(defined $c->stash->{'param'}->{'theme'}) {
         $url = $url.'&theme='.$c->stash->{'param'}->{'theme'};
@@ -369,7 +369,8 @@
             } elsif($Thruk::Utils::PDF::ctype =~ m|image/(.*)$|mx) {
                 $ext = $1;
             }
-            if($url =~ m|^/thruk/cgi\-bin/([^\.]+)\.cgi|mx) {
+	    my $re = $c->config->{'product_prefix'};
+            if($url =~ m|^/$re/cgi\-bin/([^\.]+)\.cgi|mx) {
                 $Thruk::Utils::PDF::attachment = $1.'.'.$ext;
             }
         }
@@ -643,9 +644,11 @@
 sub _replace_links {
     my($text, $url, $baseurl) = @_;
     return $text unless defined $baseurl;
-    $baseurl =~ s|/thruk/.*||gmx;
+    my $c = $Thruk::Utils::Reports::Render::c or die("not initialized!"); 
+    my $re = $c->config->{'product_prefix'};
+    $baseurl =~ s|/$re/.*||gmx;
     $baseurl =~ s|/$||gmx;
-    $baseurl .= '/thruk/cgi-bin/';
+    $baseurl .= '/$re/cgi-bin/';
     $text =~ s/(<a[^>]*href=)
                ("|')
                ([^'"]*)
@@ -671,8 +674,10 @@
        and $url !~ m|^mailto:|mx
       ) {
         # absolute url
+	my $c = $Thruk::Utils::Reports::Render::c or die("not initialized!");
+	my $re = $c->config->{'product_prefix'};
         if($url =~ m/^\//mx) {
-            $baseurl =~ s|/thruk/cgi\-bin/$||mx;
+            $baseurl =~ s|/$re/cgi\-bin/$||mx;
             $url = $baseurl.$url;
         }
         # relative url
@@ -699,7 +704,7 @@
     # dynamic images
     if($url =~ m/^\w+\.cgi/mx) {
         if($url =~ m|^\w+\.cgi|gmx) {
-            $url = '/thruk/cgi-bin/'.$url;
+            $url = '/'.$c->config->{'product_prefix'}.'/cgi-bin/'.$url;
         }
         my @res = Thruk::Utils::CLI::request_url($c, $url);
         my $result = $res[1];
@@ -775,7 +780,8 @@
 sub _read_static_content_file {
     my $url = shift;
     my $c = $Thruk::Utils::Reports::Render::c or die("not initialized!");
-    $url =~ s|^.*/thruk/||gmx;
+    my $re = $c->config->{'product_prefix'};
+    $url =~ s|^.*/$re/||gmx;
     while($url =~ m|[^/\.]+/\.\./|mx) {
         $url   =~ s|[^/\.]+/\.\./||mx;
     }
